Bug 28893 - Unused opac/rss directory can be removed
Summary: Unused opac/rss directory can be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-25 08:49 UTC by Jonathan Druart
Modified: 2021-09-03 14:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28893: Remove unused opac/rss directory (934 bytes, patch)
2021-08-25 08:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28893: Remove unused opac/rss directory (983 bytes, patch)
2021-08-25 17:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28893: Remove unused opac/rss directory (1.02 KB, patch)
2021-08-29 11:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-08-25 08:49:20 UTC
RSS feeds are now generated using opac/opac-search.pl (format=rss).

But prior to 
  commit 09df0de35fcb5b1645490bd3ec9d9a77ec7923a1
  Removing obsolete RSS <link> tags and the scripts
it was using opac/opac-rss.pl, which used opac/rss

The directory should have been removed by this commit.
Comment 1 Jonathan Druart 2021-08-25 08:50:24 UTC
Created attachment 124081 [details] [review]
Bug 28893: Remove unused opac/rss directory

RSS feeds are now generated using opac/opac-search.pl (format=rss).

But prior to
  commit 09df0de35fcb5b1645490bd3ec9d9a77ec7923a1
  Removing obsolete RSS <link> tags and the scripts
it was using opac/opac-rss.pl, which used opac/rss

The directory should have been removed by this commit.

Test plan:
Confirm that this directory is useless and can be removed.
Comment 2 Owen Leonard 2021-08-25 17:24:59 UTC
Created attachment 124088 [details] [review]
Bug 28893: Remove unused opac/rss directory

RSS feeds are now generated using opac/opac-search.pl (format=rss).

But prior to
  commit 09df0de35fcb5b1645490bd3ec9d9a77ec7923a1
  Removing obsolete RSS <link> tags and the scripts
it was using opac/opac-rss.pl, which used opac/rss

The directory should have been removed by this commit.

Test plan:
Confirm that this directory is useless and can be removed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-08-29 10:58:35 UTC
Doing some investigation here... does someone know what misc/rss is for?
Comment 4 Katrin Fischer 2021-08-29 11:00:53 UTC
Created attachment 124219 [details] [review]
Bug 28893: Remove unused opac/rss directory

RSS feeds are now generated using opac/opac-search.pl (format=rss).

But prior to
  commit 09df0de35fcb5b1645490bd3ec9d9a77ec7923a1
  Removing obsolete RSS <link> tags and the scripts
it was using opac/opac-rss.pl, which used opac/rss

The directory should have been removed by this commit.

Test plan:
Confirm that this directory is useless and can be removed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-08-30 09:22:41 UTC
(In reply to Katrin Fischer from comment #3)
> Doing some investigation here... does someone know what misc/rss is for?

Where do you see it?
Comment 6 Katrin Fischer 2021-08-30 09:30:11 UTC
Sorry, left out "cronjobs":
https://git.koha-community.org/Koha-community/Koha/src/branch/master/misc/cronjobs/rss

I was just wondering as I can't remember seeing that one in documentation. From the original author in the README quite an old piece of Koha :) Discussion should totally happen elsewhere.
Comment 7 Jonathan Druart 2021-08-30 10:33:11 UTC
(In reply to Katrin Fischer from comment #6)
> Sorry, left out "cronjobs":
> https://git.koha-community.org/Koha-community/Koha/src/branch/master/misc/
> cronjobs/rss
> 
> I was just wondering as I can't remember seeing that one in documentation.
> From the original author in the README quite an old piece of Koha :)
> Discussion should totally happen elsewhere.

I never used this script prior to today, but they don't seem to work great.

mostReserved.conf is using items.reserves which is not implemented, 

lastAcquired.conf generates a list of
 <item>
  <title>, by </title>
  <link>http://kohadev.myDNSname.org:8080/cgi-bin/koha/opac-detail.pl?biblionumber=435</link>

 </item>
Comment 8 Jonathan Druart 2021-08-30 15:12:35 UTC
Pushed to master for 21.11, thanks to everybody involved!